Read Tree Matches

Returns the matches for a user tree. Allows filtering on the request to focus on the “best” historical record hints, person hints to other user trees or to the Shared Family Tree.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The id of the tree whose matches are to be retrieved. To find user tree IDs, see Read User's Groups, or Create Tree to create a new user tree.

Query Params
string

Sort order for the matches. Accepted values are 'score' and 'recent'. Default is 'score'.

  • score: returns hints by score, with highest scoring hints first.
  • recent: returns hints by date, with the most recent hints first.
string

Page token specifying the page to be retrieved. A next link with a page token is returned in the response when there are more matches available.

string

Use candidateTreeId to get Person matches within a specific user tree. If present, collection=user_trees must be used. To find user tree IDs, see Read User's Groups, or Create Tree to create a new user tree.

string

The collection specifies the category of hints to get. It specifies the system to retrieve matches from. Default is 'records'.

  • tree returns person matches within the Family Tree.
  • records returns historical record hints for the specified treeId.
  • user_trees returns person matches within user trees.
string

The number of matches to return. Minimum is 1, maximum is 100. Default is 5.

int64
1 to 5

The level of confidence of the results. The higher the number, the higher the confidence desired.

string

The status of the matches to retrieve. Default is 'pending'. Multiple status flags may be set in the same request.

  • pending returns hints that have not been accepted or rejected. These are actionable hints for the specified id.
  • accepted returns hints that have been accepted for the specified id.
  • rejected returns hints that have been rejected for the specified id.
Responses
200

Matches found

204

No matches found

400

Invalid request parameters

429

The request was throttled.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!